Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventKey Class Reference

A GdkEventKey C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventKey:

List of all members.

## Public Member Functions

Accessors

- GdkEventKey * gdk_event_key () const
    Get a pointer to the GdkEventKey structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- ModifierTypeField state () const
    Returns a bit-mask representing the state of the modifier keys (for example, Control, Shift and Alt) and the pointer buttons (see Gdk::ModifierType).
- Keyval keyval () const
    Returns the key that was pressed or released as a Keyval.
- unsigned short hardware_keycode () const
    Returns the raw code of the key that was pressed or released.
- unsigned char group () const
    Returns the keyboard group.

## Detailed Description

A GdkEventKey C++ wrapper class.

An EventKey describes a key press or key release event.

The event type will be KEY_PRESS or KEY_RELEASE.

## Member Function Documentation

Keyval Inti::Gdk::EventKey::keyval | ( |  | ) | const

| Returns the key that was pressed or released as a Keyval. See the <gdk/gdkkeysym.h> header file for a complete list of GDK key codes.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer